<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_b2f5a10045116439" . "6178c16d2a5c6899" => base64_decode("cHJldl90aX" . "RsZQ=="), "tit" . "le" => base64_decode("dGl0" . "bGU="), "_6e38cb9e0" . "43a07cd69a" . "1711a6704c" . "62a" => base64_decode("cGFyZW50X" . "2lk"), "_a5e22fe41a6e4288b56df78f2f278f8" . "f" => base64_decode("cHJldl9wYXJlbnRfaW" . "Q="));
use Claromentis\Core\Event\GenericEvent;


class UpdateFolderEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_b2f5a10045116439617" . "8c16d2a5c6899"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["t" . "i" . "t" . "l" . "e"]);
    }
    public function GetPrevParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_a5e22fe41a6e4288b56df78f2f2" . "78f8f"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_6e38cb9e043a07cd69a1711a6704" . "c62a"]);
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}